Package csb :: Package statistics :: Package samplers :: Package mc :: Class PropagationResult

[frames] | no frames]

# Class PropagationResult

source code

                   object --+
                            |
    AbstractPropagationResult --+
                                |
                               PropagationResult

Describes the result of a deterministic or stochastic propagation of a state.

Nested Classes
Inherited from `AbstractPropagationResult`: `__metaclass__`

Instance Methods

__init__(self, initial, final, heat=0.0) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__iter__(self) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
| final Final state
float | heat Heat produced during propagation
| initial Initial state
Inherited from `object`: `__class__`

Method Details

### __init__(self, initial, final, heat=0.0)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `initial` (State) - Initial state from which the propagation started
  - `final` (State) - Final state in which the propagation resulted
  - `heat` (float) - Heat produced during propagation
Overrides: object.__init__
  (inherited documentation)

Property Details

### final

Final state

Get Method:
  unreachable.final(self)

### heat

Heat produced during propagation

Get Method:
  unreachable.heat(self)
Set Method:
  unreachable.heat(self, value)
Type:
  float

### initial

Initial state

Get Method:
  unreachable.initial(self)